/* root css file */
@import './root.css';

@media (max-width: 991px) {
	.src-block-overlay {
		height: auto;
		position: relative;
	}
	.template2 .banner-title {
		color: var(--blackColor);
		text-shadow: none;
		margin-top: 15px;
		margin-bottom: 0;
		font-size: 1.3rem;
		line-height: 36px !important;
	}
	.template2 .nav-link.active::after {
		border-radius: 0px !important;
	}
	.banner-slogan {
		font-size: 15px;
		margin: 0px 0px 20px;
		color: var(--baseColor);
		text-shadow: none !important;
	}
	.congratulations_row {
		flex-direction: row-reverse;
	}
	.offcanvas-start {
		border-right: 3px solid var(--baseColor) !important;
	}
	.nav-link.active::after {
		width: 100% !important;
		height: 2px !important;
	}
	.offcanvas-header .btn-close {
		box-shadow: none !important;
	}
	.toggle_btn {
		padding: 0;
		font-size: 24px;
		color: var(--baseColor);
		box-shadow: none !important;
		outline: 0 !important;
	}
	button.owl-prev {
		top: 50%;
		position: absolute;
		left: 0;
		right: auto;
		transform: translateY(-50%);
	}
	button.owl-next {
		top: 50%;
		position: absolute;
		right: 0;
		left: auto;
		transform: translateY(-50%);
	}
	.banner_carousel .owl-nav button span {
		width: 30px;
		height: 30px;
		line-height: 26px;
		font-size: 25px;
	}
	.demoNavBar li {
		padding: 6px 10px 6px 0px !important;
	}
	.demoNavBar .dropdown-menu li:first-child a {
		padding-left: 16px !important;
	}
	.booking-box {
		width: 100% !important;
		position: relative;
	}
	.search__panel {
		position: relative;
		top: 0 !important;
		z-index: 1;
		width: 100%;
	}
	.banner_carousel .owl-item img {
		height: auto !important;
	}
	
	.booking-box .booking-box__body {
		padding: 15px !important;
		border-radius: 30px 30px 0px 0px;
	}
	.booking-box .booking-box__popup .wrapper-station-list {
		width: 100% !important;
	}
	.booking-box .booking-box__popup {
		padding: 20px !important;
		z-index: 99999 !important;
	}
	.booking__box__popup__visible {
		right: 0px !important;
		opacity: 1 !important;
		z-index: 999 !important;
		visibility: visible !important;
		left: 0px !important;
		top: 120px !important;
		box-shadow: 0px 5px 20px rgb(0 0 0 / 10%);
		border-top: 3px solid var(--baseColor);
		border-bottom: 3px solid var(--baseColor);
	}
}

@media (max-width: 767px) {
	.offcanvas {
		max-width: 88% !important;
	}
	.congratulations_row {
		flex-direction: column-reverse;
	}
	/* Banner */
	.booking-box .booking-box__body {
		padding: 0px 10px 10px !important;
	}
	.banner-title {
		margin-top: 15px;
		margin-bottom: 0;
		font-size: 20px;
		line-height: 28px;
	}
	.booking-box .form-control {
		padding: 7px !important;
	}
	.b-form-group label {
		font-size: 14px;
	}
	.repeat-arrow-img-btn img {
		height: 27px !important;
		width: 27px !important;
	}
	.repeat-arrow-img-btn {
		position: absolute;
		top: 81px !important;
		left: 48.5% !important;
	}
	.b-search-map-wrapper .repeat-arrow-img-btn {
		position: absolute;
		top: 65px!important;
		left: auto!important;
		right: 10px!important;
		margin: 0 auto;
		transform: rotate(90deg);
	}
	.b-search-map-wrapper #searchButton {
		margin-top: 20px !important;
	}
	.banner_carousel .owl-nav {
		position: absolute;
		bottom: 50%;
		right: 0;
		width: 100%;
		left: 0;
	}
	.site_logo {
		width: 100px;
	}
	.service__box {
		background-color: var(--whiteColor);
		min-height: 8.4em;
		padding: 20px 10px;
		border: 2px dashed var(--baseColor);
		width: 100%;
	}
	.search_btn {
		font-size: 14px;
	}
	.form-control {
		min-height: 40px;
	}
	.ui-widget.ui-widget-content {
		min-width: auto !important;
	}
	.ui-datepicker-calendar tr td {
		padding: 3px 2px !important;
	}
	.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default, .ui-button, html .ui-button.ui-state-disabled:hover, html .ui-button.ui-state-disabled:active {
		height: 33px !important;
		width: 33px !important;
		font-size: 15px !important;
		line-height: 26px !important;
	}
	.service__box img {
		filter: brightness(0);
		width: 50px;
	}
	.service__box__wrapper {
		grid-template-columns: auto;
		gap: 10px;
		margin-top: 25px;
		text-align: center;
		justify-content: initial;
	}
	.service__title {
		font-size: 16px;
		color: #000;
		font-weight: 600;
		margin: 15px 0 0;
		line-height: 20px;
		min-height: auto;
	}
	/* Why book with us */
	.section-title h2 {
		font-size: 22px;
		padding-bottom: 10px;
	}
	.icon-box-text {
		min-height: auto;
	}
	.why_choose {
		min-height: auto;
		padding: 20px;
	}
	.service-icon-wrapper img {
		height: 50px;
	}
	.gall-img {
		min-height: 250px;
	}
	/* Top routes */
	.bus-info {
		padding-top: 10px;
	}
	/* App section */
	.app_sec .section-title h2 {
		font-size: 20px;
	}
	.app_store_btn {
		text-align: left;
	}
	.qr_code {
		width: 100px;
	}
	.app_sec {
		padding: 20px 0!important;
	}
	.app_sub_title {
		font-size: 12px;
		font-weight: 600;
		color: var(--whiteColor);
		min-height: 38px;
	}
	.store_img_link img {
		width: 145px;
	}
	.download_app_image {
		width: 80%;
		margin: 10px auto 0;
	}
	/* Footer */
	.b-blog-short-post {
		flex-direction: column !important;
	}
	.scroll-to-top {
		position: absolute;
		right: 10px;
		bottom: 10px;
	}
	.btn-scroll {
		color: var(--whiteColor);
		border: 2px solid var(--whiteColor);
	}
	.copy_right_text {
		font-size: 15px;
		color: var(--whiteColor);
		border-bottom: 1px dashed var(--whiteColor)fff70;
		padding-bottom: 7px;
		margin-bottom: 4px;
	}
	.footer_logo {
		width: 155px;
	}
	/* Search page */
	.dab-center {
		justify-content: space-around;
	}
	.ticket-src-result .b-search-map__wrap {
		margin-bottom: 0px;
	}
	.dab-center .title-4 {
		font-size: 16px;
		font-weight: 700;
		line-height: 26px;
	}
	.bdrp-box {
		margin-top: 10px;
	}
	#myModal .modal-body {
		padding: 15px 0px !important;
	}
	#myModal .modal-title {
		color: var(--whiteColor);
		font-size: 16px;
	}
	.pess-dtls-box {
		min-height: auto;
	}
	.pay-details-box.pess-dtls-box.middle-box {
		margin-bottom: 15px;
	}
	.pay-details-box.pess-dtls-box.last_box {
		min-height: 480px !important;
	}
}

@media (max-width: 600px) {
	.b-search-map__wrap {
		border-radius: 3px;
	}

	.label-blank {
		display: none !important;
	}

	#searchButton {
		margin-top: 5px;
	}

	/* Reviews */
	.review_carousel {
		width: 412%;
	}

	/* Congratulations page */
	.ticket_box {
		padding: 10px;
		min-height: auto;
		margin-bottom: 10px;
	}

	/* Login Page */
	.login-box {
		padding: 20px;
	}

	/* Download */
	.download-ticket-box {
		padding: 20px;
	}

	/* Contact */
	.b-contact-form-box {
		min-height: auto;
		padding: 25px;
	}
}

@media (max-width: 575px) {
	.border_right_gray {
		border-bottom: 2px dashed #e3e3e3;
		padding-bottom: 10px;
		border-right: 0px !important;
	}
}
@media (max-width: 350px) {
	.b-form-group label {
		font-size: 12px;
	}
}

@media (max-width: 1400px) {
	.b-search-map-wrapper .b-form-group label {
		font-size: 12px !important;
	}
}